org.jgrapht.graph

## Interface MaskFunctor<V,E>

-     public interface MaskFunctor<V,E>

  A functor interface for masking out vertices and edges of a graph.
  Since:
    July 5, 2007
  Author:
    Guillaume Boulmier

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isEdgeMasked(E edge)` Returns `true` if the edge is masked, `false` otherwise.
    `boolean` | `isVertexMasked(V vertex)` Returns `true` if the vertex is masked, `false` otherwise.

- - ### Method Detail

    - #### isEdgeMasked

          boolean isEdgeMasked(E edge)

      Returns `true` if the edge is masked, `false` otherwise.
      Parameters:
        `edge` - edge.
      Returns:
        .

    - #### isVertexMasked

          boolean isVertexMasked(V vertex)

      Returns `true` if the vertex is masked, `false` otherwise.
      Parameters:
        `vertex` - vertex.
      Returns:
        .

Copyright © 2016. All rights reserved.